Open SCAP Library

Data Structures | Macros | Functions | Variables
textfilecontent.c File Reference

textfilecontent probe More...

`#include <stdio.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include <seap.h>`
`#include <probe-api.h>`
`#include <probe/entcmp.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include <oval_fts.h>`
`#include <alloc.h>`
`#include "common/assume.h"`
`#include "common/debug_priv.h"`

## Data Structures
struct | pfdata

## Macros
#define | FILE_SEPARATOR '/'

## Functions
int | probe_offline_mode_supported ()
int | probe_main (probe_ctx *ctx, void *arg)

## Variables
oval_schema_version_t | over

## Detailed Description

textfilecontent probe

Author
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a textfilecontent_object as defined in OVAL 5.4 and 5.5.